
Installer - Bug #8371

foreman-installer tries to install foreman-release-scl on Ubuntu after upgrade from 1.6.2 to 1.7rc1

11/12/2014 10:23 AM - Ronald van Zantvoort

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When re-running the installer as per the manuals upgrade instructions, our Ubuntu 14.04.1 server is presented with the following

error:

root@foreman:~# foreman-installer --verbose --foreman-plugin-discovery-install-images=false

[ INFO 2014-11-12 16:20:13 verbose] Executing hooks in group boot

[ INFO 2014-11-12 16:20:13 verbose] All hooks in group boot finished

[ INFO 2014-11-12 16:20:13 verbose] Executing hooks in group init

[ INFO 2014-11-12 16:20:13 verbose] All hooks in group init finished

[ INFO 2014-11-12 16:20:13 verbose] Parsing default values from puppet modules...

[ INFO 2014-11-12 16:20:13 verbose] ... finished

[ INFO 2014-11-12 16:20:13 verbose] Executing hooks in group pre_values

[ INFO 2014-11-12 16:20:13 verbose] All hooks in group pre_values finished

[ INFO 2014-11-12 16:20:13 verbose] Executing hooks in group pre_validations

[ INFO 2014-11-12 16:20:13 verbose] All hooks in group pre_validations finished

[ INFO 2014-11-12 16:20:13 verbose] Running validation checks

[ INFO 2014-11-12 16:20:14 verbose] Executing hooks in group pre

[ INFO 2014-11-12 16:20:14 verbose] All hooks in group pre finished

[ INFO 2014-11-12 16:20:15 verbose]  Loading facts

[ INFO 2014-11-12 16:20:15 verbose]  Loading facts

[ INFO 2014-11-12 16:20:15 verbose]  Loading facts

[ INFO 2014-11-12 16:20:15 verbose]  Loading facts

[ INFO 2014-11-12 16:20:24 verbose] Could not retrieve fact='apt_updates', resolution='<anonymous>

': can't convert nil into Integer

[ INFO 2014-11-12 16:20:24 verbose] Could not retrieve fact='apt_security_updates', resolution='<a

nonymous>': can't convert nil into Integer

[ WARN 2014-11-12 16:20:25 verbose]  Config file /etc/puppet/hiera.yaml not found, using Hiera def

aults

[ WARN 2014-11-12 16:20:33 verbose]  Compiled catalog for foreman.pcextreme.nl in environment prod

uction in 9.52 seconds

[ INFO 2014-11-12 16:20:37 verbose]  Applying configuration version '1415805624'

[ INFO 2014-11-12 16:20:37 verbose]  mount[files]: allowing * access

[ERROR 2014-11-12 16:20:39 verbose]  Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--for

ce-confold install foreman-release-scl' returned 100: Reading package lists...

[ INFO 2014-11-12 16:20:39 verbose] Building dependency tree...

[ INFO 2014-11-12 16:20:39 verbose] Reading state information...

[ INFO 2014-11-12 16:20:39 verbose] E: Unable to locate package foreman-release-scl

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/util/execution.rb:203:in `exe

cute'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/provider/command.rb:23:in `ex

ecute'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/provider.rb:237:in `block in 

has_command'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/provider.rb:463:in `block in 

create_class_and_instance_method'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/provider/package/apt.rb:73:in

 `install'
[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/type/package.rb:73:in `block 

(3 levels) in <module:Puppet>'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/property.rb:197:in `call_valu

emethod'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/property.rb:498:in `set'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/property.rb:581:in `sync'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.

rb:204:in `sync'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.

rb:128:in `sync_if_needed'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.

rb:81:in `perform_changes'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.

rb:20:in `evaluate'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction.rb:204:in `apply'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction.rb:217:in `eval_r

esource'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction.rb:147:in `call'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction.rb:147:in `block 

(2 levels) in evaluate'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/util.rb:327:in `block in thin

mark'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/1.9.1/benchmark.rb:295:in `realtime'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/util.rb:326:in `thinmark'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction.rb:147:in `block 

in evaluate'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:1

18:in `traverse'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction.rb:138:in `evalua

te'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:169:in `b

lock in apply'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/util/log.rb:149:in `with_dest

ination'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/transaction/report.rb:112:in 

`as_logging_destination'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:168:in `a

pply'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/configurer.rb:118:in `block i

n apply_catalog'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/util.rb:161:in `block in benc

hmark'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/1.9.1/benchmark.rb:295:in `realtime'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/util.rb:160:in `benchmark'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/configurer.rb:117:in `apply_c

atalog'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/configurer.rb:222:in `run_int

ernal'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/configurer.rb:132:in `block i

n run'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/context.rb:64:in `override'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet.rb:244:in `override'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/configurer.rb:131:in `run'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/application/apply.rb:297:in `

apply_catalog'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/application/apply.rb:231:in `

block in main'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/context.rb:64:in `override'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet.rb:244:in `override'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/application/apply.rb:193:in `

main'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/application/apply.rb:154:in `

run_command'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/application.rb:384:in `block 

(2 levels) in run'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/application.rb:510:in `plugin

_hook'
[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/application.rb:384:in `block 

in run'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/util.rb:488:in `exit_on_fail'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/application.rb:384:in `run'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/util/command_line.rb:146:in `

run'

[ INFO 2014-11-12 16:20:39 verbose] /usr/lib/ruby/vendor_ruby/puppet/util/command_line.rb:92:in `e

xecute'

[ INFO 2014-11-12 16:20:39 verbose] /usr/bin/puppet:8:in `<main>'

[ERROR 2014-11-12 16:20:39 verbose]  /Stage[main]/Foreman::Install::Repos::Extra/Package[foreman-r

elease-scl]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o 

DPkg::Options::=--force-confold install foreman-release-scl' returned 100: Reading package lists..

.

[ INFO 2014-11-12 16:20:39 verbose] Building dependency tree...

[ INFO 2014-11-12 16:20:39 verbose] Reading state information...

[ INFO 2014-11-12 16:20:39 verbose] E: Unable to locate package foreman-release-scl

[ WARN 2014-11-12 16:20:39 verbose]  /Package[foreman-mysql2]: Dependency Package[foreman-release-

scl] has failures: true

[ WARN 2014-11-12 16:20:39 verbose]  /Package[foreman-mysql2]: Skipping because of failed dependen

cies

 I'm guessing scl relates to RHEL's Software Collections, which, needless to say, don't apply to Ubuntu?

Related issues:

Related to Installer - Bug #8369: Error when re-running foreman-installer aft... Rejected 11/12/2014

Related to Packaging - Refactor #7234: SCL 1.1 builds needed for EL rebuilds ... Closed 08/22/2014

Related to Packaging - Bug #4841: Package Foreman in its own SCL Closed 03/25/2014

History

#1 - 11/12/2014 10:24 AM - Ronald van Zantvoort

- Related to Bug #8369: Error when re-running foreman-installer after upgrade from 1.6.2 to 1.7rc1

'"foreman::plugin::discovery::params::install_images" is not a boolean.  It looks to be a String' added

#2 - 11/12/2014 10:28 AM - Ronald van Zantvoort

All other things seem to fail from that point onwards as well:

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Cron[daily summary]: Dependency Package[fore

man-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Cron[daily summary]: Skipping because of fai

led dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/File[/etc/foreman/database.yml]: Dependency 

Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/File[/etc/foreman/database.yml]: Skipping be

cause of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Concat_fragment[foreman_settings+01-header.y

aml]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Concat_fragment[foreman_settings+01-header.y

aml]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Concat_build[foreman_settings]: Dependency P

ackage[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Concat_build[foreman_settings]: Skipping bec

ause of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/File[/etc/foreman/settings.yaml]: Dependency

 Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/File[/etc/foreman/settings.yaml]: Skipping b

ecause of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Cron[expire_old_reports]: Dependency Package

[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Cron[expire_old_reports]: Skipping because o

f failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Cron[clear_session_table]: Dependency Packag

e[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/Cron[clear_session_table]: Skipping because 

of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/File[/etc/default/foreman]: Dependency Packa

ge[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/File[/etc/default/foreman]: Skipping because

 of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/File[/usr/share/foreman]: Dependency Package
[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config/File[/usr/share/foreman]: Skipping because o

f failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/File[/usr/share/foreman/public]: 

Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/File[/usr/share/foreman/public]: 

Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/Apache::Vhost[foreman]/File[05-fo

reman.conf]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/Apache::Vhost[foreman]/File[05-fo

reman.conf]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/Apache::Vhost[foreman]/File[05-fo

reman.conf symlink]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/Apache::Vhost[foreman]/File[05-fo

reman.conf symlink]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /User[foreman]: Dependency Package[foreman-release-scl] has failures: tru

e

[ WARN 2014-11-12 16:20:44 verbose]  /User[foreman]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/File[/usr/share/foreman/config/en

vironment.rb]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/File[/usr/share/foreman/config/en

vironment.rb]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/File[/usr/share/foreman/config.ru

]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:44 verbose]  /Stage[main]/Foreman::Config::Passenger/File[/usr/share/foreman/config.ru

]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:45 verbose]  /Package[foreman-libvirt]: Dependency Package[foreman-release-scl] has fa

ilures: true

[ WARN 2014-11-12 16:20:45 verbose]  /Package[foreman-libvirt]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:45 verbose]  /Stage[main]/Foreman::Config::Passenger/Apache::Vhost[foreman-ssl]/File[0

5-foreman-ssl.conf]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:45 verbose]  /Stage[main]/Foreman::Config::Passenger/Apache::Vhost[foreman-ssl]/File[0

5-foreman-ssl.conf]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:45 verbose]  /Stage[main]/Foreman::Config::Passenger/Apache::Vhost[foreman-ssl]/File[0

5-foreman-ssl.conf symlink]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:45 verbose]  /Stage[main]/Foreman::Config::Passenger/Apache::Vhost[foreman-ssl]/File[0

5-foreman-ssl.conf symlink]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Apache::Service/Service[httpd]: Dependency Package[foreman-r

elease-scl] has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Apache::Service/Service[httpd]: Skipping because of failed d

ependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Config/Anchor[foreman::config_end]: Dependency Pack

age[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Config/Anchor[foreman::config_end]: Skipping becaus

e of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rak

e-db:migrate]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rak

e-db:migrate]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-d

b:seed]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-d

b:seed]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Database/Foreman::Rake[apipie:cache]/Exec[foreman-r

ake-apipie:cache]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Database/Foreman::Rake[apipie:cache]/Exec[foreman-r

ake-apipie:cache]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-hooks]: Dependency Package[foreman-release-scl] has

 failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-hooks]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-bootdisk]: Dependency Package[foreman-release-scl] 

has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-bootdisk]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-setup]: Dependency Package[foreman-release-scl] has

 failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-setup]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-templates]: Dependency Package[foreman-release-scl]

 has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-templates]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-discovery]: Dependency Package[foreman-release-scl]

 has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Package[ruby-foreman-discovery]: Skipping because of failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Service/Service[foreman]: Dependency Package[forema

n-release-scl] has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Service/Service[foreman]: Skipping because of faile
d dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Service/Exec[restart_foreman]: Dependency Package[f

oreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman::Service/Exec[restart_foreman]: Skipping because of 

failed dependencies

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[foreman.pcextreme

.nl]: Dependency Package[foreman-release-scl] has failures: true

[ WARN 2014-11-12 16:20:46 verbose]  /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[foreman.pcextreme

.nl]: Skipping because of failed dependencies

#3 - 11/12/2014 10:30 AM - Dominic Cleal

We changed how this works between releases - in 1.6 it would default to on, but then skip the Puppet code to install the package on Ubuntu.  In 1.7

we set the default based on the OS, and the code simply follows the value (making it easier to override either way).

I think the re-running installer advice is just bad given how many behaviour and defaults changes we make between releases, and that kafo/the

installer stores previous answers rather than recomputing defaults.

I'm not quite sure how we should approach this problem generally.

#4 - 11/12/2014 10:30 AM - Dominic Cleal

--foreman-configure-scl-repo=false will prevent it attempting the install.

#5 - 11/12/2014 10:31 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Category deleted (Packaging)

#6 - 11/12/2014 10:37 AM - Ronald van Zantvoort

- Related to Refactor #7234: SCL 1.1 builds needed for EL rebuilds (CentOS, SL) added

#7 - 11/12/2014 10:37 AM - Ronald van Zantvoort

- Related to Bug #4841: Package Foreman in its own SCL added

#8 - 11/12/2014 10:38 AM - Ronald van Zantvoort

LOL you just beat me to it :)

#9 - 11/13/2014 05:18 AM - Ewoud Kohl van Wijngaarden

We've had discussions about this and some were in favor of storing all values (which ensures you can do an exact reinstall given the same versions)

while others were in favor of only storing non-default choices (which gives you a much higher chance of being able to use the answers file on an

upgraded version). We chose the former, but maybe it's time to revisit that choice.

#10 - 11/13/2014 06:50 AM - Ronald van Zantvoort

One could envision a mechanism similar to the db migrations for changing defaults?

#11 - 04/22/2016 04:58 AM - Dominic Cleal

There is support for migrations now, since #10369, and we've started adding a few. Future changes to parameter defaults should always receive

migrations.

#12 - 05/20/2017 09:07 AM - Anonymous

- Status changed from New to Resolved

While this specfic case won't get fixed, similar ones in the future will get handled.
